net.sourceforge.pmd.cpd

## Class SourceCode

- java.lang.Object
- - net.sourceforge.pmd.cpd.SourceCode

-     public class SourceCode
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SourceCode.CodeLoader`
    `static class` | `SourceCode.FileCodeLoader`
    `static class` | `SourceCode.StringCodeLoader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceCode(SourceCode.CodeLoader cl)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getCode()`
    `StringBuilder` | `getCodeBuffer()`
    `String` | `getFileName()`
    `String` | `getSlice(int startLine, int endLine)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceCode

          public SourceCode(SourceCode.CodeLoader cl)

  - ### Method Detail

    - #### getCode

          public List<String> getCode()

    - #### getCodeBuffer

          public StringBuilder getCodeBuffer()

    - #### getSlice

          public String getSlice(int startLine,
                        int endLine)

    - #### getFileName

          public String getFileName()

Copyright © 2002-2013 InfoEther. All Rights Reserved.